curl -X POST "https://app.runtm.com/api/cloud/agent-directives/dir_9f3c1a:unlock" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
runtm-api skills unlock dir_9f3c1a
{
"directive": {
"id": "dir_9f3c1a",
"type": "skill_v0",
"name": "outbound-writing",
"locked": false,
"locked_by_user_id": null,
"locked_at": null
}
}
Skills
Unlock Directive
Unlock a locked skill or MCP server
POST
/
api
/
agent-directives
/
{directive_id}
:unlock
curl -X POST "https://app.runtm.com/api/cloud/agent-directives/dir_9f3c1a:unlock" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
runtm-api skills unlock dir_9f3c1a
{
"directive": {
"id": "dir_9f3c1a",
"type": "skill_v0",
"name": "outbound-writing",
"locked": false,
"locked_by_user_id": null,
"locked_at": null
}
}
Removes the lock so the directive can be edited, deleted, resynced, and reattached again.
Required scope:
context:write, and the caller must be an org admin or owner.
Path Parameters
string
required
The directive ID.
Response
object
The updated directive, with
locked: false.curl -X POST "https://app.runtm.com/api/cloud/agent-directives/dir_9f3c1a:unlock" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123"
runtm-api skills unlock dir_9f3c1a
{
"directive": {
"id": "dir_9f3c1a",
"type": "skill_v0",
"name": "outbound-writing",
"locked": false,
"locked_by_user_id": null,
"locked_at": null
}
}